/** @file
 * @brief X2C data type definitions.
 */
/* $LastChangedRevision: 1288 $
 * $LastChangedDate:: 2017-10-20 18:45:39 +0200#$
 *
 * Copyright (c) 2016, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 */
#ifndef __X2CDATATYPES_H__
	#define __X2CDATATYPES_H__

	#include <stdint.h>
	#include <DSP2833x_Device.h>

	typedef uint16_t uint16;
	typedef uint32_t uint32;
	typedef uint64_t uint64;

	typedef unsigned char uint8;
	typedef signed char int8;

#endif
